Loading...
Searching...
No Matches
pcl::ModelCoefficients Struct Reference

`#include <pcl/ModelCoefficients.h>`

## Public Types

using | Ptr = shared_ptr< ::pcl::ModelCoefficients>
using | ConstPtr = shared_ptr<const ::pcl::ModelCoefficients>

## Public Member Functions

| ModelCoefficients ()=default

## Public Attributes

::pcl::PCLHeader | header
std::vector< float > | values

## Detailed Description

Definition at line 11 of file ModelCoefficients.h.

## Member Typedef Documentation

## ConstPtr

using pcl::ModelCoefficients::ConstPtr = shared_ptr<const ::pcl::ModelCoefficients>

Definition at line 21 of file ModelCoefficients.h.

## Ptr

using pcl::ModelCoefficients::Ptr = shared_ptr< ::pcl::ModelCoefficients>

Definition at line 20 of file ModelCoefficients.h.

## Constructor & Destructor Documentation

## ModelCoefficients()

pcl::ModelCoefficients::ModelCoefficients | ( |  | ) |

default

## Member Data Documentation

## header

::pcl::PCLHeader pcl::ModelCoefficients::header

Definition at line 15 of file ModelCoefficients.h.

Referenced by pcl::SACSegmentation< PointT >::segment().

## values

std::vector<float> pcl::ModelCoefficients::values

Definition at line 17 of file ModelCoefficients.h.

Referenced by pcl::PlaneRefinementComparator< PointT, PointNT, PointLT >::compare(), pcl::people::PersonCluster< PointT >::drawTBoundingBox(), pcl::ModelOutlierRemoval< PointT >::getModelCoefficients(), pcl::lineWithLineIntersection(), pcl::OrganizedMultiPlaneSegmentation< PointT, PointNT, PointLT >::segment(), pcl::SACSegmentation< PointT >::segment(), pcl::PlanarPolygon< PointT >::setCoefficients(), and pcl::ModelOutlierRemoval< PointT >::setModelCoefficients().

The documentation for this struct was generated from the following file:

- pcl/ModelCoefficients.h